package com.kalyshev.yan;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class ReplaceController {
    @GetMapping("/replace")
    public String replace(@RequestParam(value = "value", defaultValue = "None") String value,
                          @RequestParam(value = "old", defaultValue = "") char oldChar,
                          @RequestParam(value = "new", defaultValue = "") char newChar) {
        return value.replace(oldChar, newChar);
    }
}
