document.addEventListener('DOMContentLoaded', function() {
    var forms = document.querySelectorAll('.needs-validation');

    Array.from(forms).forEach(form => {
        form.addEventListener('submit', event => {
        if (!form.checkValidity()) {
            event.preventDefault();
            event.stopPropagation();
        }

        form.classList.add('was-validated');
        }, false);
    });
});

document.getElementsByClassName("needs-validation")[0].addEventListener('submit', function(event) {
    event.preventDefault();
    if (document.getElementById("radioUppercase").checked) {
        fetch("http://localhost:8080/uppercase?value=" + document.getElementById("input").value)
        .then(resp => {return resp.text()})
        .then(resBody => {document.getElementById("result").innerHTML = resBody})
    }
    if (document.getElementById("radioLowcase").checked) {
        fetch("http://localhost:8080/lowercase?value=" + document.getElementById("input").value)
        .then(resp => {return resp.text()})
        .then(resBody => {document.getElementById("result").innerHTML = resBody})
    }
    if (document.getElementById("radioSplit").checked) {
        fetch("http://localhost:8080/split?value=" + document.getElementById("input").value + "&splitBy=" + document.getElementById("inputSplitBy").value)
        .then(resp => {return resp.text()})
        .then(resBody => {document.getElementById("result").innerHTML = resBody})
    }
    if (document.getElementById("radioReplace").checked) {
        fetch("http://localhost:8080/replace?value=" + document.getElementById("input").value + "&old=" + document.getElementById("inputReplaceOld").value + "&new=" + document.getElementById("inputReplaceNew").value)
        .then(resp => {return resp.text()})
        .then(resBody => {document.getElementById("result").innerHTML = resBody})
    }
});
